permissions issues in LXDE as of Vivid Lubuntu Final Beta

Bug #1424362 reported by Henk Terhell on 2015-02-22
110
This bug affects 22 people
Affects Status Importance Assigned to Milestone
lxsession (Ubuntu)
High
Julien Lavergne
Vivid
High
Julien Lavergne

Bug Description

STEPS TO REPRODUCE
 1. using the menu widget in LXPanel, open Lubuntu Software Center
 2. install or remove any package

EXPECTED RESULTS
 * dialog asking for elevated permissions appears and upon successful authentication, package action continues.

ACTUAL RESULTS
 * dialog asking for elevated permissions does not appear and action fails with:
   You are not allowed to perform this action
   You don't have the required privileges to perform this action.
   org.freedesktop.PolicyKit.Error.Failed: ('system-bus-name', {'name': ':1.51'}): org.debian.apt.install-or-remove-packages
 * running as superuser works fine

AFFECTS
 * any processor or installation type
 * Lubuntu Vivid daily releases as of 20150221
 * Lubuntu Vivid milestone releases as of Final Beta
 * this affects other apps that require elevated permissions (e.g. software-properties-gtk, gnome-disks, etc. but errors will differ)

DOES NOT AFFECT
 * live system
 * does not affect any other desktop environment
 * does not affect any other package management solution including command line and software centers from other flavors

WORKAROUND
 1. open Default Apps for LXSession
 2. click on "autostart tab"
 3. make sure "PolicyKit Authentication Agent" is checked
 * NOTE: works on a per user basis

Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/1424362

tags: added: iso-testing
Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu Package testing tracker.

A list of all reports related to this bug can be found here:
http://packages.qa.ubuntu.com/qatracker/reports/bugs/1424362

tags: added: package-qa-testing
Henk Terhell (hterhell) wrote :

This bug is still present in Lubuntu Vivid beta 1 Desktop i386 v. 20150224

Walter Lapchynski (wxl) wrote :

Any issues with live or only the installed system? What about other archs and/or alternate images?

Phill Whiteside (phillw) wrote :

Cannot repeat with amd64 version of vivid, updated. Although it should be noted I have disabled iBUS

Henk Terhell (hterhell) wrote :

I just checked the live version of the same CD as installed on disk today. This works normal with Lubuntu Software Center as well as Synaptic as now tested on two machines.
Didn't have this bug with earlier alpha 32 and 64. The 64 updated is still on the other machine w/o problems.

I have another spare machine on which I will test and report the outcome of installing this CD of today.

Lyn Perrine (walterorlin) wrote :

Also this affects ubuntu-software-center running in lxde but may have done a parital upgrade and does not allow the removing of xfburn from my virtual mahcine of alternate amd64.

Attaching /var/log/auth.log will be helpful

Phill Whiteside (phillw) wrote :

launching lubuntu-software-center via terminal gives the following http://pastebin.com/NYtZQ6Uy

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in software-center (Ubuntu):
status: New → Confirmed
Henk Terhell (hterhell) wrote :

I have installed this now on my other spare machine (32-bit) and got the same bug. Also I noted now on both machines that it is not possible to change driver to nvidia. Though the recommended nvidia drivers are listed, the change is not carried out.

Walter Lapchynski (wxl) on 2015-02-24
Changed in lubuntu-software-center:
status: New → Confirmed
Lyn Perrine (walterorlin) wrote :

This does not effect unity so it me be the undelying cause is lxpolkit. As both ubuntu software center and lubuntu software center work

Lyn Perrine (walterorlin) wrote :

Previous comment was from live session not installed.

Henk Terhell (hterhell) wrote :

Just found the solution: Policykit Authentication Agent should be started manually under LXSessionconfiguration - Autostart .
Obviously this is not switched on in these latest beta versions upon installation. Now both Lubuntu Software center as well as Synaptic are OK on my PC.

sudodus (nio-wiklund) wrote :

ISO-testing Lubuntu alternate 32-bit Vivid Beta 1 dated 20150224

'vivid-alternate-i386.iso'

I could install htop with Synaptic. I have no experience of the Lubuntu Software Center, so I'm not the right person to test it.

As of March 03, 2015. there is nothing like "Beta 2". Title changed appropriately.

summary: - no permissions to install packages in vivid daily lubuntu beta 2
+ no permissions to install packages in vivid daily lubuntu beta 1
sudodus (nio-wiklund) wrote :

I see the problem in i386 and amd64 installed systems.

The Lubuntu Software Center works when started from the command line
sudo lubuntu-software-center
but not with
gksudo lubuntu-software-center
and not with
sudo -H lubuntu-software-center

Synaptic starts from the command line via gksudo, but not from the menu. There seems to be a general problem with elevated permissions from the menu and when using the elevation methods recommended for GUI applications.

Comment #13 looks promising to squash this bug.

Lyn Perrine (walterorlin) wrote :

This also affects removing software with lubuntu software center.

summary: - no permissions to install packages in vivid daily lubuntu beta 1
+ no permissions to install or remove packages in vivid daily lubuntu beta
+ 1

Can someone please confirm that lubuntu-software-center AND ubuntu-software-center work fine in Xubuntu and Kubuntu? If so, then it's clearly an LXDE setup issue. For that matter, you could probably just install xubuntu-desktop and kubuntu-desktop, I imagine.

Also can we confirm the fix? If so, we need to find out which was the last version that actually worked right. Then we can look at the code and try to figure out where the problem lies:
https://bazaar.launchpad.net/~lubuntu-dev/lubuntu-default-settings/trunk/changes/318?start_revid=318

Phillw, you can disable ibus with the lxpolicykit?
Can someone please confirm that lubuntu-software-center AND ubuntu-
software-center work fine in Xubuntu and Kubuntu? If so, then it's
clearly an LXDE setup issue. For that matter, you could probably just
install xubuntu-desktop and kubuntu-desktop, I imagine.

Also can we confirm the fix? If so, we need to find out which was the last
version that actually worked right. Then we can look at the code and try to
figure out where the problem lies:
https://bazaar.launchpad.net/~lubuntu-dev/lubuntu-default-settings/trunk/changes/318?start_revid=318

--
You received this bug notification because you are subscribed to
Lubuntu.
Matching subscriptions: Istimsak
https://bugs.launchpad.net/bugs/1424362

Title:
  no permissions to install or remove packages in vivid daily lubuntu
  beta 1

Status in Lubuntu Software Center:
  Confirmed
Status in software-center package in Ubuntu:
  Confirmed

Bug description:
  Vivid daily version 20150221Lubuntu desktop i386 installed gives
following message when using Lubuntu Software Center to install a package,
whereas Synaptic cannot be opened:
  You are not allowed to perform this action
  You don't have the required privileges to perform this action.
  org.freedesktop.PolicyKit.Error.Failed: ('system-bus-name', {'name':
':1.51'}): org.debian.apt.install-or-remove-packages

  Installing a package using command line works OK.
  Hardware info: https://gist.github.com/2166a864091f84806d39

To manage notifications about this bug go to:
https://bugs.launchpad.net/lubuntu-software-center/+bug/1424362/+subscriptions

I tested in the current Lubuntu Vivid i386 daily (built from the newest desktop iso file)

Installed as you wished xubuntu-desktop and kubuntu-desktop

Then updated and dist-upgraded until apt-get was happy with everything up to date, and started testing:

ubuntu-software-center is simply software-center, and works already in Lubuntu (no reboot, no logout). I installed htop.

gksudo software-center

gksudo lubuntu-software-center also works in Lubuntu (no reboot, no logout). I installed xournal.

So it works now. I don't know if xubuntu-desktop or kubuntu-desktop or the final update and dist-upgrade made it work. But not from the menu: 'You have not the privileges to install ... PolicyKit ...'

Reboot

Lubuntu-software-center works from the Xubuntu menu (it asks for elevated permissions ...). I installed arandr.

Lubuntu still cannot install with Lubuntu-software-center from its menu after reboot.

Lubuntu-software-center works from the Kubuntu menu (it asks for elevated permissions ...). I installed smplayer.

Walter Lapchynski (wxl) wrote :

Thank you so much, Nio! Indeed, it is an LXDE issue. I know that lxsession recently changed the way it dealt with autostart entries. Was this a problem with Alpha 1 or 2? If not, I should be able to easily track this down.

sudodus (nio-wiklund) wrote :

You are welcome Walter,

I'm not able to test it tonight, I hope someone else can grab those alpha iso files and test it. (Otherwise, I hope I can do it tomorrow.)

Henk Terhell (hterhell) wrote :

Just installed on disk Xubuntu - daily built 20150318 i386 and no problem there to install something with Ubuntu software center.

Lubuntu Alpha 1 was OK, but for me the problem started with version 20150221.

Are we to test lxsession of lubuntu-software-center from both alphas 1 and
2?
On Mar 18, 2015 3:25 PM, "sudodus" <email address hidden> wrote:

> You are welcome Walter,
>
> I'm not able to test it tonight, I hope someone else can grab those
> alpha iso files and test it. (Otherwise, I hope I can do it tomorrow.)
>
> --
> You received this bug notification because you are subscribed to
> Lubuntu.
> Matching subscriptions: Istimsak
> https://bugs.launchpad.net/bugs/1424362
>
> Title:
> no permissions to install or remove packages in vivid daily lubuntu
> beta 1
>
> Status in Lubuntu Software Center:
> Confirmed
> Status in software-center package in Ubuntu:
> Confirmed
>
> Bug description:
> Vivid daily version 20150221Lubuntu desktop i386 installed gives
> following message when using Lubuntu Software Center to install a package,
> whereas Synaptic cannot be opened:
> You are not allowed to perform this action
> You don't have the required privileges to perform this action.
> org.freedesktop.PolicyKit.Error.Failed: ('system-bus-name', {'name':
> ':1.51'}): org.debian.apt.install-or-remove-packages
>
> Installing a package using command line works OK.
> Hardware info: https://gist.github.com/2166a864091f84806d39
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/lubuntu-software-center/+bug/1424362/+subscriptions
>

Istimsak (saqman2060) wrote :

Are we to test lxsession of lubuntu-software-center from both alphas 1 and
2?
On Mar 18, 2015 3:16 PM, "Walter Lapchynski" <email address hidden> wrote:

> Thank you so much, Nio! Indeed, it is an LXDE issue. I know that
> lxsession recently changed the way it dealt with autostart entries. Was
> this a problem with Alpha 1 or 2? If not, I should be able to easily
> track this down.
>
> --
> You received this bug notification because you are subscribed to
> Lubuntu.
> Matching subscriptions: Istimsak
> https://bugs.launchpad.net/bugs/1424362
>
> Title:
> no permissions to install or remove packages in vivid daily lubuntu
> beta 1
>
> Status in Lubuntu Software Center:
> Confirmed
> Status in software-center package in Ubuntu:
> Confirmed
>
> Bug description:
> Vivid daily version 20150221Lubuntu desktop i386 installed gives
> following message when using Lubuntu Software Center to install a package,
> whereas Synaptic cannot be opened:
> You are not allowed to perform this action
> You don't have the required privileges to perform this action.
> org.freedesktop.PolicyKit.Error.Failed: ('system-bus-name', {'name':
> ':1.51'}): org.debian.apt.install-or-remove-packages
>
> Installing a package using command line works OK.
> Hardware info: https://gist.github.com/2166a864091f84806d39
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/lubuntu-software-center/+bug/1424362/+subscriptions
>

No, I think I have the answer to the question. I'll look at the manifests and see if I can figure things out.

Walter Lapchynski (wxl) wrote :

Attached is a diff of the manifests of VIvid Alpha 1 and the 20150318 release, grepped carefully for Lubuntu and LXDE components. I think most of these things are not very suspect. There's no difference in lubuntu-default-settings. The lubuntu-core and lubuntu-desktop is of no concern (they're just seeds and anything different in them would show in the manifest).

I do note there is a different version of lubuntu-software-center, but as we tested that to not be an issue in other desktop environments, that's unlikely to be it (for reference here is the diff between the two versions https://bazaar.launchpad.net/~lubuntu-software-center-team/lubuntu-software-center/lubuntu-software-center-trunk/revision/174?remember=167&compare_revid=167).

I do notice lxsession has gone through a relatively major change in version, which is consistent with the big changes it has gone through lately. That being said, I think it would be wise if we tested the new version on an Alpha 1 system and see if we can reproduce and/or if we use the old version on daily.

Walter Lapchynski (wxl) wrote :

More on LSC changes: they all seem UI related, which I doubt would cause this issue (I could be wrong). Major revisions are in https://bazaar.launchpad.net/~lubuntu-software-center-team/lubuntu-software-center/lubuntu-software-center-trunk/revision/174?remember=167&compare_revid=167#src/widgets/toolbar.py

Lubuntu-software-center works on ubuntu-unity. I am guessing in lubuntu,
the function to ask for authentication is missing.
On Mar 18, 2015 8:31 PM, "Walter Lapchynski" <email address hidden> wrote:

> More on LSC changes: they all seem UI related, which I doubt would cause
> this issue (I could be wrong). Major revisions are in
> https://bazaar.launchpad.net/~lubuntu-software-center-team/lubuntu-
> software-center/lubuntu-software-center-
> trunk/revision/174?remember=167&compare_revid=167#src/widgets/toolbar.py
>
> --
> You received this bug notification because you are subscribed to
> Lubuntu.
> Matching subscriptions: Istimsak
> https://bugs.launchpad.net/bugs/1424362
>
> Title:
> no permissions to install or remove packages in vivid daily lubuntu
> beta 1
>
> Status in Lubuntu Software Center:
> Confirmed
> Status in software-center package in Ubuntu:
> Confirmed
>
> Bug description:
> Vivid daily version 20150221Lubuntu desktop i386 installed gives
> following message when using Lubuntu Software Center to install a package,
> whereas Synaptic cannot be opened:
> You are not allowed to perform this action
> You don't have the required privileges to perform this action.
> org.freedesktop.PolicyKit.Error.Failed: ('system-bus-name', {'name':
> ':1.51'}): org.debian.apt.install-or-remove-packages
>
> Installing a package using command line works OK.
> Hardware info: https://gist.github.com/2166a864091f84806d39
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/lubuntu-software-center/+bug/1424362/+subscriptions
>

Walter Lapchynski (wxl) wrote :

@sak, that's clear from the above. See my last comments about testing
lxsession for the next step. Also do you think you could refrain from
quoting the message in your email replies to the bug? It's making this
bug report longer than it should be ☺

Also for bug #1429531 this missing authentication request looks to be the same issue.

Henk Terhell (hterhell) wrote :

Info for whatever it is worth : I have still one 32-bit and one 64-bit installations of (what must be) alpha1 15.04 versions on different machines, and both systems have been kept updated/upgraded. Both systems run well and do not encounter this bug (and I have not ticked on 'PolicyKit Authentication Agent' in LXSession autostart).

I have tried to get an new daily build but this failed to install (see bug #1432843)..

Lyn Perrine (walterorlin) wrote :

More info this might be lxsession is the lubuntu-qt session which uses lxsession also has this same problem when running lubuntu-software-center and trying to install qpdfview.

Henk Terhell (hterhell) wrote :

I Installed now Xubuntu-desktop on L15.04 with bugs #1424362/#1429531 and this resulted in a XFCE-session in which Lubuntu Software Center, Synaptic as well as adding a user works OK. Switching back to LXDE, the bugs reappear.
Unfortunately LXQt can no longer be installed for trial on Lubuntu 15.04 as error messages appear about broken packages or other problems.

Can this bug be fixed through policykit?
On Mar 23, 2015 10:06 AM, "Henk Terhell" <email address hidden> wrote:

> I Installed now Xubuntu-desktop on L15.04 with bugs #1424362/#1429531 and
> this resulted in a XFCE-session in which Lubuntu Software Center, Synaptic
> as well as adding a user works OK. Switching back to LXDE, the bugs
> reappear.
> Unfortunately LXQt can no longer be installed for trial on Lubuntu 15.04
> as error messages appear about broken packages or other problems.
>
> --
> You received this bug notification because you are subscribed to
> Lubuntu.
> Matching subscriptions: Istimsak
> https://bugs.launchpad.net/bugs/1424362
>
> Title:
> no permissions to install or remove packages in vivid daily lubuntu
> beta 1
>
> Status in Lubuntu port to Qt:
> New
> Status in Lubuntu Software Center:
> Confirmed
> Status in software-center package in Ubuntu:
> Confirmed
>
> Bug description:
> Vivid daily version 20150221Lubuntu desktop i386 installed gives
> following message when using Lubuntu Software Center to install a package,
> whereas Synaptic cannot be opened:
> You are not allowed to perform this action
> You don't have the required privileges to perform this action.
> org.freedesktop.PolicyKit.Error.Failed: ('system-bus-name', {'name':
> ':1.51'}): org.debian.apt.install-or-remove-packages
>
> Installing a package using command line works OK.
> Hardware info: https://gist.github.com/2166a864091f84806d39
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/lubuntu-next/+bug/1424362/+subscriptions
>

In XFCE desktop (on L 15.04 as well as in regular Xubuntu 15.04) the PolicyKit Authentication Agent is ticked on by default whereas this never in any Lubuntu versions (going back to 14.04). Ticking this off in XFCE (Session and Startup - Application Autostart) results in the same faults i.e. absence of an authentication request of bugs #1424362/#1429531 .

tags: added: vivid

Looks like the problem as been found.
On Mar 24, 2015 2:01 PM, "Brian Murray" <email address hidden> wrote:

> ** Tags added: vivid
>
> --
> You received this bug notification because you are subscribed to
> Lubuntu.
> Matching subscriptions: Istimsak
> https://bugs.launchpad.net/bugs/1424362
>
> Title:
> no permissions to install or remove packages in vivid daily lubuntu
> beta 1
>
> Status in Lubuntu port to Qt:
> New
> Status in Lubuntu Software Center:
> Confirmed
> Status in software-center package in Ubuntu:
> Confirmed
>
> Bug description:
> Vivid daily version 20150221Lubuntu desktop i386 installed gives
> following message when using Lubuntu Software Center to install a package,
> whereas Synaptic cannot be opened:
> You are not allowed to perform this action
> You don't have the required privileges to perform this action.
> org.freedesktop.PolicyKit.Error.Failed: ('system-bus-name', {'name':
> ':1.51'}): org.debian.apt.install-or-remove-packages
>
> Installing a package using command line works OK.
> Hardware info: https://gist.github.com/2166a864091f84806d39
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/lubuntu-next/+bug/1424362/+subscriptions
>

Changed in software-center (Ubuntu):
importance: Undecided → High
importance: High → Critical

Yes but we need to get this working out of the box. Also note that this workaround is per user.

 Applying the workaround makes a
polkit-gnome-autherntication-agent-1.desktop in ~/.config/autostart

Which cahnges need to be made so on a fresh install out of the box lubuntu software center will work?

affects: software-center (Ubuntu) → lubuntu-software-center (Ubuntu)
Changed in lubuntu-next:
status: New → Confirmed
Changed in lubuntu-software-center (Ubuntu):
status: Confirmed → Triaged
Walter Lapchynski (wxl) on 2015-04-02
summary: - no permissions to install or remove packages in vivid daily lubuntu beta
- 1
+ no permissions to install or remove packages with Lubuntu Software
+ Center in LXDE as of Vivid Lubuntu Final Beta
Walter Lapchynski (wxl) on 2015-04-02
description: updated

I think the problem is with lxsession and not lubuntu-software-center. Here's how to confirm:
 1. using Lubuntu Vivid Alpha 1 (not affected have the bug),
     * replace the old lubuntu-software-center (0.0.8-0ubuntu1) with the new one (0.0.10-0ubuntu1) → should not be affected by the bug
     * replace the old lxsession (0.4.9.2+git20140410-0ubuntu3) with the new one (0.5.2-0ubuntu1) → should be affected by the bug
 2. using Lubuntu Vivid Final Beta or Vivid Daily (affected by the bug),
     * replace the new lubuntu-software-center with the old one → should be affected by the bug
     * replace the new lxsession with the old one → should not be affected by the bug

Note that it may be required to replace not only lxsession but lxsession-data, and lxsession-default-apps.

I know Brendan hopes to deal with that tomorrow, but if anyone wants to beat him to the punch, go ahead.

If it is lxsession, then we'll need to change the affected package, obviously, and re-triage it. Jörn is the main person in charge of LSC as far as I know and also LSC is to be replaced with Cute Updater once LXQt comes into existence, so having it not be LSC would be ideal ☺ I will email him to see if he can provide further insight.

Henk Terhell (hterhell) wrote :

I noticed the other day that in the live session amd64 of 20150401 all these bugs did not happen but after the installation on disk these showed up.
Just also to remind that it is not only lsc failing to initiate authentication request:
- synaptic will not start
- other video driver fails to install upon selection
- #1429531- no other user can be assigned

This problem appeared around the time SystemD became the standard init system, so I suspect this a bit. Maybe there isn't a .service file or something.

Walter Lapchynski (wxl) wrote :

gilir confirms this is an issue with lxsession. he's going to set things up to use lxpolkit by default in the short term, but lxsession will need work in the long term.

Changed in lubuntu-software-center (Ubuntu):
assignee: nobody → Julien Lavergne (gilir)
affects: lubuntu-software-center (Ubuntu) → lxsession (Ubuntu)
Changed in lxsession (Ubuntu):
assignee: Julien Lavergne (gilir) → nobody
no longer affects: lubuntu-next
Changed in lxsession (Ubuntu):
assignee: nobody → Julien Lavergne (gilir)
affects: lubuntu-software-center → lubuntu-default-settings
Walter Lapchynski (wxl) on 2015-04-15
affects: lubuntu-default-settings → lubuntu-default-settings (Ubuntu)
Changed in lubuntu-default-settings (Ubuntu):
status: Confirmed → Triaged
importance: Undecided → Critical
Changed in lxsession (Ubuntu):
importance: Critical → High
Changed in lubuntu-default-settings (Ubuntu):
assignee: nobody → Julien Lavergne (gilir)
Changed in lxsession (Ubuntu):
milestone: none → later
Changed in lubuntu-default-settings (Ubuntu):
milestone: none → ubuntu-15.04
summary: - no permissions to install or remove packages with Lubuntu Software
- Center in LXDE as of Vivid Lubuntu Final Beta
+ permissions issues in LXDE as of Vivid Lubuntu Final Beta
tags: added: lubuntu
description: updated
Changed in lubuntu-default-settings (Ubuntu):
status: Triaged → In Progress
Walter Lapchynski (wxl) on 2015-04-15
description: updated

Hi.
Some days ago I submitted this bug:
https://bugs.launchpad.net/ubuntu/+source/network-manager-applet/+bug/1442406

For me it looks also related to policy kit - refusing NM-Applet to unlock the 3G Modem's SIM...

Regards,
  Andreas

Walter Lapchynski (wxl) on 2015-04-15
description: updated
description: updated
Julien Lavergne (gilir) wrote :

I'm pushing a potential fix in https://launchpad.net/~lubuntu-dev/+archive/ubuntu/staging
Please upgrade lxsession, reboot, and test again. Thanks in advance.

Walter Lapchynski (wxl) wrote :

Using 20150415 i386 desktop, I installed lxsession 0.5.2-0ubuntu2~ppa1 and rebooted and it still fails. Sorry Julien ☹

The 3G Network-Manager unlock problem is also related to this bug. So #1442406 is a dup.
But may be it can help tracing down this issue -> may be there's some common code with this bug and the UMTS modem stuff...

Julien Lavergne (gilir) wrote :

Version ~ppa4 on https://launchpad.net/~lubuntu-dev/+archive/ubuntu/staging should fix the problem. Please upgrade and let me know if it's working for you.

I tried your fix. It seems to work: software-properties-gtk as well as the 3G modem unlock now work without sudo...
Just for my curiosity: May you please explain the reason for this bug?

sudodus (nio-wiklund) wrote :

@ gilir

After installation of your ppa and update/dist-upgrade and reboot I can run synaptic (and install programs) and users-admin (and create a new user) :-)

But I did not manage to use Lubuntu Software Center to install programs. Either it still does not work, or I don't know how to use it :-(

Can *you* use Lubuntu Software Center to install programs?

Henk Terhell (hterhell) wrote :

For me all permissions works well now including LSC and Synaptic after reboot.
PolicyKit Authentication Agent can even be left ticked off.
Also #1429531 (new user) is squashed.

sudodus (nio-wiklund) wrote :

Probably I don't know how to use LSC, but I think someone should check that LSC works in a 32-bit installed system.

Lyn Perrine (walterorlin) wrote :

I can install programs with lubuntu-software-center I have rebooted. And users and group time authentication is now working after the staging ppa and I get the dialog brining up dialog to change disks mount options so all GUI authentication seems to be working.

I also did a quick smoke test of the lubuntu netbook session with the ppa and it seems to be fixed in that session as well.

Julien Lavergne (gilir) wrote :

I'm pushing the fix for lxsession to the repo, but it probably need a go from the release team to enter the repository. It would be better to go in the release than in a 0 day SRU, as it affects people who want to update / upgrade.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package lxsession - 0.5.2-0ubuntu2

---------------
lxsession (0.5.2-0ubuntu2) vivid; urgency=medium

  * debian/rules
   - Remove .c files with a make clean, to force the regeneration of the .c
     files, to fix build flag usage (LP: #1424362).
  * debian/control:
   - Build-depends on valac, to rebuild .c files.
 -- Julien Lavergne <email address hidden> Mon, 20 Apr 2015 07:38:05 +0200

Changed in lxsession (Ubuntu Vivid):
status: Triaged → Fix Released
Walter Lapchynski (wxl) wrote :

Andreas: previous fix was correct (don't use lxsession for policy kit handling) but needed some compilation configuration tweaks to force it to be implemented correctly.

no longer affects: lubuntu-default-settings (Ubuntu)
no longer affects: lubuntu-default-settings (Ubuntu Vivid)
Changed in lxsession (Ubuntu Vivid):
milestone: later → ubuntu-15.04
Walter Lapchynski (wxl) wrote :

Yay release team got it in the release pocket so I'm going to schedule a rebuild of the final vivid image. Thanks again gilir and everyone who tested and helped with this! https://launchpad.net/ubuntu/+source/lxsession/0.5.2-0ubuntu2

sudodus (nio-wiklund) wrote :

ISO testing the final Lubuntu Vivid:

Lubuntu Software Center works in a system installed from the desktop i386 iso file but not in the corresponding system installed from the alternate iso file !!!

Henk Terhell (hterhell) wrote :

Nio, I have now installed on disk 2015--04-20.1 alternate i386 . LSC works but indeed does not list any packages other than those already installed.
I recall this has happened before on L14.10 until it was fixed by Jörn Schönyan.

sudodus (nio-wiklund) wrote :

Since it looks like a regression of that previous bug, let us hope it can be fixed with the same method (by Jörn Schönyan).

Henk Terhell (hterhell) wrote :

Perhaps this requires filing a new bug report as it may have no connection with the permissions issue?

Walter Lapchynski (wxl) wrote :

So I would suggest that we use software-properties-gtk to test the fix. If there is no problem there, we can assume this problem is solved.

If there is a problem with LSC, we need to narrow down which images it affects (only alternate?) and provide any useful debug information, such as any output on the command line, and file a new bug.

Henk Terhell (hterhell) wrote :

When I choose another download server I see that the cache is being updated but packages are not listed other than those installed in alternate i386. No problem with Synaptic and CLI to get software.

Walter Lapchynski (wxl) wrote :

What you're saying is there are no updates? I don't necessarily see that as surprising. :)

sudodus (nio-wiklund) wrote :

I have no problems installing with Synaptic and apt-get. This problem is only in

- systems installed with the alternate installer

- Lubuntu Software Center. It does not show any packages except those installed from the beginning. It does not show packages installed by me (using Synaptic). So I find no way to install programs using Lubuntu Software Center.

I can make a new bug report, if it would help, or we can continue the exchange of ideas and experiences here. Tell me what is best!

Henk Terhell (hterhell) wrote :

What I mean is that when you switch from download server the information about downloadable software is being reloaded in the normal way. However, LSC does not show anything (other than already installed) just like experienced by Nio.

Lyn Perrine (walterorlin) wrote :

This lubuntu-software-center is a different bug as before you could not remove software but now you can even on manual but that bug should be discussed on bug 1446830

Still I keep having this bug https://bugs.launchpad.net/ubuntu/+source/software-properties/+bug/1360488 that according to the link is a duplicated of this, but in Ubuntu 16.04 I have it also.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers